## Interface Swift_Mailer_RecipientIterator

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mailer/RecipientIterator.php

##### Provides an abstract way of specifying recipients for batch sending.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
boolean hasNext ()
array nextRecipient ()

#### Method hasNext (line 24)

#### boolean hasNext( )

##### Returns true only if there are more recipients to send to.

#### Info

- access - public

#### Method nextRecipient (line 32)

#### array nextRecipient( )

##### Returns an array where the keys are the addresses of recipients and the values are the names.

e.g. ('foo@bar' => 'Foo') or ('foo@bar' => NULL)

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3